/*
/*
www.E2CRE8.be - Brainbox Arduino  - by Bart Huyskens
20/02/2016
  
 6 CHANNEL Analog input, serial output

 Reads an analog input pin, maps the result to a range from 0 to 255
 and  prints the results to the serial monitor.

 Use the serial monitor built into ARduino IDE to visualise the results

 6 analog input channels - A0-A5

 Be aware that the serial monitor uses the same USB port as IDE uses to program tne Leonardo 
 Close the serial monitor program and reset the Leonardo to set it up to receive new programs
 
 */

// These constants won't change.  They're used to give names
// to the pins used:
const int analogInPin = A0;  // Analog input pin that the potentiometer is attached to
const int analogOutPin = 9; // Analog output pin that the LED is attached to

int sensorValue = 0;        // value read from the pot
int outputValue = 0;        // value output to the PWM (analog out)

//Declare the AD variables as int because Arduino always executes a 10 bit AD conversion
int AD_A0 = 0;  
int AD_A1 = 0;  
int AD_A2 = 0;  
int AD_A3 = 0;  
int AD_A4 = 0;  
int AD_A5 = 0;  

// These 8 bit Byte variables are used to downsize the 10 bit AD conversion result into 8 bit
byte ADC_A0 = 0;  
byte ADC_A1 = 0;  
byte ADC_A2 = 0;  
byte ADC_A3 = 0; 
byte ADC_A4 = 0;  
byte ADC_A5 = 0; 

void setup() {
  // initialize serial communications at 9600 bps via USB
  Serial.begin(9600);
}

void loop() {
AD_A0 = analogRead(A0);              // read the analog value measured at analog pin ANx 
AD_A1 = analogRead(A1);              // read the analog value measured at analog pin ANx 
AD_A2 = analogRead(A2);              // read the analog value measured at analog pin ANx 
AD_A3 = analogRead(A3);              // read the analog value measured at analog pin ANx 
AD_A4 = analogRead(A4);              // read the analog value measured at analog pin ANx 
AD_A5 = analogRead(A5);              // read the analog value measured at analog pin ANx 

ADC_A0 = map(AD_A0, 0, 1023, 0, 255);    // rescale the sensorValue (0-1024) to (0-255)
ADC_A1 = map(AD_A1, 0, 1023, 0, 255);    // rescale the sensorValue (0-1024) to (0-255)
ADC_A2 = map(AD_A2, 0, 1023, 0, 255);    // rescale the sensorValue (0-1024) to (0-255)
ADC_A3 = map(AD_A3, 0, 1023, 0, 255);    // rescale the sensorValue (0-1024) to (0-255)
ADC_A4 = map(AD_A4, 0, 1023, 0, 255);    // rescale the sensorValue (0-1024) to (0-255)
ADC_A5 = map(AD_A5, 0, 1023, 0, 255);    // rescale the sensorValue (0-1024) to (0-255)
  


  // print the results to the serial monitor:
  Serial.print("A0 = ");
  Serial.print(ADC_A0, DEC);
  Serial.print("\t");
  Serial.print("A1 = ");
  Serial.print(ADC_A1, HEX);
  Serial.print("\t");
  Serial.print("A2 = ");
  Serial.print(ADC_A2, BIN);
  Serial.print("\t");
  Serial.print("A3 = ");
  Serial.print(ADC_A3);
  Serial.print("\t");
  Serial.print("A4 = ");
  Serial.print(ADC_A4);
  Serial.print("\t");
  Serial.print("A5 = ");
  Serial.print(ADC_A5);
  Serial.println("");      // start new line

  delay(200);
}
